/* Exemple où on appelle mettreMinAuPremierIndice(0)
       9          12          4         14         20          7
       ^
       |
premierIndice=0
Trace d'exécution:
    indiceMin = 0;
    i = 1: tab[1]<tab[0]? NON
    i = 2: tab[2]<tab[0]? OUI
           =>indiceMin=2
    i = 3: tab[3]<tab[2]? NON
    i = 4: tab[4]<tab[2]? NON
    i = 5: tab[5]<tab[2]? NON
Rappel: premierIndice = 0, indiceMin = 2
=> échanger case 0 avec case 2
=> 
       4          12          9         14         20          7
on appelle mettreMinAuPremierIndice(1)
       4          12          9         14         20          7
                  |
          premierIndice=1

indiceMin = 1
    i = 2: tab[2]<tab[1]?  OUI
           indiceMin  = 2; 
    i = 3: tab[3]<tab[2]?  NON
    i = 4: tab[4]<tab[2]?  NON
    i = 5: tab[5]<tab[2]?  OUI
           indiceMin = 5
premierIndice = 1 , indiceMin 5;
       4          12          9         14         20          7
tmp = 12
tab[1] = 7
tab[5] = 12
       4          7          9         14         20          12
*/
int[] tab;
void mettreMinAuPremierIndice(int premierIndice){
    int indiceMin = premierIndice;

    for(int i=premierIndice+1; i<tab.length; i++)
        if(tab[i]<tab[indiceMin])
            indiceMin = i;

    int tmp = tab[premierIndice];
    tab[premierIndice] = tab[indiceMin];
    tab[indiceMin]     = tmp;
}
void setup(){
    tab = new int[150000];
    for(int i=0;i<tab.length;i++)
        tab[i] = (int)random(50);
    //println(java.util.Arrays.toString(tab));
    //Notre Tri:
    for(int i=0;i<tab.length;i++)
        mettreMinAuPremierIndice(i);
    //Tri du Java
    //java.util.Arrays.sort(tab);
    //println(java.util.Arrays.toString(tab));
    //println("fini");
}
